| Classes - Annotated - Tree - Functions - Home - Structure

# QSizeGrip Class Reference

The QSizeGrip class provides corner-grip for resizing a top level window. More...

`#include <qsizegrip.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- QSizeGrip ( QWidget * parent, const char * name=0 )
- ~QSizeGrip ()
- virtual QSize sizeHint () const

## Protected Members

- virtual void paintEvent ( QPaintEvent * )
- virtual void mousePressEvent ( QMouseEvent * )
- virtual void mouseMoveEvent ( QMouseEvent * )

## Detailed Description

The QSizeGrip class provides corner-grip for resizing a top level window.

This widget works like the standard Windows resize handle. In the X11 version this resize handle generally works differently than the one provided by the system; we hope to reduce this difference in the future.

Put this widget anywhere in a tree and the user can use it to resize the top-level window. Generally this should be in the lower right-hand corner. Note that QStatusBar already uses this widget, so if you have a status bar (eg. you are using QMainWindow), then you don't need to use this widget explicitly.

See also QStatusBar.

Examples: scrollview/scrollview.cpp

## Member Function Documentation

### QSizeGrip::QSizeGrip ( QWidget * parent, const char * name=0 )

Construct a resize corner as a child widget of parent.

### QSizeGrip::~QSizeGrip ()

Destructor.

### void QSizeGrip::mouseMoveEvent ( QMouseEvent * e ) `[virtual protected]`

Resizes the top-level widget containing this widget.

Reimplemented from QWidget.

### void QSizeGrip::mousePressEvent ( QMouseEvent * e ) `[virtual protected]`

Primes the resize operation.

Reimplemented from QWidget.

### void QSizeGrip::paintEvent ( QPaintEvent * e ) `[virtual protected]`

Paints the resize grip - small diagonal textured lines in the lower right-hand corner.

Reimplemented from QWidget.

### QSize QSizeGrip::sizeHint () const `[virtual]`

Returns a small size.

Reimplemented from QWidget.

### QSizePolicy QSizeGrip::sizePolicy () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Reimplemented from QWidget.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.